Index: main/waeup.fceokene/trunk/src/waeup/fceokene/ftesting.zcml
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/ftesting.zcml	(revision 9849)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/ftesting.zcml	(revision 9850)
@@ -2,5 +2,5 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
-   i18n_domain="waeup.custom"
+   i18n_domain="waeup.fceokene"
    package="waeup.fceokene"
    >
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/browser_templates/applicant_goto_interswitch.pt
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 9849)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 9850)
@@ -1,3 +1,3 @@
-<form i18n:domain="waeup.custom"
+<form i18n:domain="waeup.fceokene"
   tal:attributes="action view/action" method="POST">
 
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/browser_templates/student_goto_interswitch.pt
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/browser_templates/student_goto_interswitch.pt	(revision 9849)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/browser_templates/student_goto_interswitch.pt	(revision 9850)
@@ -1,3 +1,3 @@
-<form i18n:domain="waeup.custom"
+<form i18n:domain="waeup.fceokene"
   tal:attributes="action view/action" method="POST">
 
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/locales/waeup.fceokene.pot
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/locales/waeup.fceokene.pot	(revision 9849)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/locales/waeup.fceokene.pot	(revision 9850)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Mon Sep  3 12:52:46 2012\n"
+"POT-Creation-Date: Wed Jan  9 10:48:44 2013\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -24,115 +24,310 @@
 "Generated-By: zope/app/locales/extract.py\n"
 
+#: waeup/fceokene/applicants/interfaces.py:104
+msgid "1st Exam Date"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:110
+msgid "1st Exam Results"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:117
+msgid "2nd Qualification Obtained"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:123
+msgid "2nd Institution Attended"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:128
+msgid "2nd Exam Number"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:133
+msgid "2nd Exam Date"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:139
+msgid "2nd Exam Results"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:146
+msgid "Qualification Obtained"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:152
+msgid "Former Matric Number"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:157
+msgid "Class of Degree"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:163
+msgid "Institution Attended"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:168
+msgid "Years Attended"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:173
+msgid "Discipline"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:178
+msgid "Subjects and Scores"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:182
+msgid "Total JAMB Score"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:186
+msgid "Notice"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:190
+msgid "Screening Venue"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:194
+msgid "Screening Date"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:198
+msgid "Screening Score (%)"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:202
+msgid "Aggregate Score (%)"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:203
+msgid "(average of relative JAMB and PUTME scores)"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:207
+msgid "Result uploaded"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:211
+msgid "Student Id"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:216
+msgid "Admitted Course of Study"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:221
+msgid "Form locked"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:267
+#: waeup/fceokene/applicants/interfaces.py:290
+msgid "Email Address"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:272
+#: waeup/fceokene/applicants/interfaces.py:295
+msgid "Date of Birth"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:65
+msgid "Nationality"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:70
+msgid "State/LGA (Nigerians only)"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:78
+msgid "1st Choice Course of Study"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:83
+msgid "2nd Choice Course of Study"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:88
+msgid "1st Qualification Obtained"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:94
+msgid "1st Institution Attended"
+msgstr ""
+
+#: waeup/fceokene/applicants/interfaces.py:99
+msgid "1st Exam Number"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:46
+msgid "Base Data"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:47
+msgid "Programmes/Courses Desired"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:48
+msgid "Higher Education Record"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:49
+msgid "Course or Programme Presently Attending"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:50
+msgid "NYSC Information"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:51
+msgid "Employment History"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:52
+msgid "JAMB Data"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:53
+msgid "Application Process Information"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:54
+msgid "Post Primary School Qualification"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:55
+msgid "Presently attending a course or programme"
+msgstr ""
+
+#: waeup/fceokene/applicants/utils.py:56
+msgid "'O' Level Records"
+msgstr ""
+
 #: waeup/fceokene/browser/theming.py:30
 msgid "FCEOkene Theme"
 msgstr ""
 
-#: waeup/fceokene/interfaces.py:35
+#: waeup/fceokene/interfaces.py:34
 msgid "School Fee (ignored)"
 msgstr ""
 
-#: waeup/fceokene/interfaces.py:41
+#: waeup/fceokene/interfaces.py:40
 msgid "Application Fee (fallback)"
 msgstr ""
 
-#: waeup/fceokene/interfaces.py:47
+#: waeup/fceokene/interfaces.py:46
 msgid "Clearance Fee"
 msgstr ""
 
-#: waeup/fceokene/interfaces.py:53
+#: waeup/fceokene/interfaces.py:52
 msgid "Booking Fee"
 msgstr ""
 
-#: waeup/fceokene/interfaces.py:61
+#: waeup/fceokene/interfaces.py:60
 msgid "Maintenance Fee (ignored)"
 msgstr ""
 
-#: waeup/fceokene/interfaces.py:67
+#: waeup/fceokene/interfaces.py:66
 msgid "Gown Fee"
 msgstr ""
 
-#: waeup/fceokene/interfaces.py:73
+#: waeup/fceokene/interfaces.py:72
 msgid "Transfer Fee"
 msgstr ""
 
-#: waeup/fceokene/interfaces.py:88
+#: waeup/fceokene/interfaces.py:87
 msgid "Academic Session"
 msgstr ""
 
-#: waeup/fceokene/interswitch/browser.py:103
-#. Default: ""
-msgid "Unsuccessful callback: ${a}"
-msgstr ""
-
-#: waeup/fceokene/interswitch/browser.py:108
-msgid "Callback amount does not match."
-msgstr ""
-
-#: waeup/fceokene/interswitch/browser.py:113
-msgid "Callback transaction id does not match."
-msgstr ""
-
-#: waeup/fceokene/interswitch/browser.py:119
-msgid "Successful callback received"
-msgstr ""
-
-#: waeup/fceokene/interswitch/browser.py:128
-#: waeup/fceokene/interswitch/browser.py:142
-msgid "CollegePAY"
-msgstr ""
-
-#: waeup/fceokene/interswitch/browser.py:156
-#: waeup/fceokene/interswitch/browser.py:164
-msgid "Requery CollegePAY"
-msgstr ""
-
 #: waeup/fceokene/interswitch/browser.py:175
-#: waeup/fceokene/interswitch/browser.py:254
+msgid "Payment ticket can't be send to CollegePAY. Application period has expired."
+msgstr ""
+
+#: waeup/fceokene/interswitch/browser.py:59
+#: waeup/fceokene/interswitch/browser.py:160
 msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
 msgstr ""
 
-#: waeup/fceokene/interswitch/browser.py:176
-#: waeup/fceokene/interswitch/browser.py:255
+#: waeup/fceokene/interswitch/browser.py:60
+#: waeup/fceokene/interswitch/browser.py:161
 msgid "Submit"
 msgstr ""
 
-#: waeup/fceokene/interswitch/browser.py:186
-#: waeup/fceokene/interswitch/browser.py:264
+#: waeup/fceokene/interswitch/browser.py:69
+#: waeup/fceokene/interswitch/browser.py:170
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
-#: waeup/fceokene/interswitch/browser.py:269
-msgid "Payment ticket can't be send to CollegePAY. Application period has expired."
-msgstr ""
-
-#: waeup/fceokene/interswitch/browser.py:315
-#: waeup/fceokene/interswitch/browser.py:342
-msgid "This ticket has already been paid."
-msgstr ""
-
-#: waeup/fceokene/interswitch/browser.py:94
-#. Default: ""
-msgid "Invalid callback: ${a}"
+#: waeup/fceokene/interswitch/browser_templates/applicant_goto_interswitch.pt:4
+#: waeup/fceokene/interswitch/browser_templates/student_goto_interswitch.pt:4
+msgid "These data will be submitted to the CollegePAY payment gateway, please check:"
+msgstr ""
+
+#: waeup/fceokene/students/browser.py:66
+msgid "Wrong state"
+msgstr ""
+
+#: waeup/fceokene/students/browser.py:70
+msgid "No portrait uploaded."
+msgstr ""
+
+#: waeup/fceokene/students/browser.py:74
+msgid "Not all required fields filled."
+msgstr ""
+
+#: waeup/fceokene/students/browser.py:80
+msgid "Clearance process has been started."
+msgstr ""
+
+#: waeup/fceokene/students/browser.py:95
+msgid "Create bed ticket"
+msgstr ""
+
+#: waeup/fceokene/students/browser_templates/bookbed.pt:3
+msgid "You data have been approved. You can book a bed by clicking the button below."
+msgstr ""
+
+#: waeup/fceokene/students/browser_templates/startclearance.pt:3
+msgid "You data have been approved. You can start clearance now by clicking the button below."
 msgstr ""
 
 #: waeup/fceokene/students/interfaces.py:74
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/fceokene/students/interfaces.py:80
 msgid "Payment Level"
 msgstr ""
 
-#: waeup/fceokene/students/utils.py:194
+#: waeup/fceokene/students/utils.py:102
+#: waeup/fceokene/students/utils.py:108
+msgid "Study course data are incomplete."
+msgstr ""
+
+#: waeup/fceokene/students/utils.py:222
 msgid "Amount could not be determined."
 msgstr ""
 
-#: waeup/fceokene/students/utils.py:201
+#: waeup/fceokene/students/utils.py:229
 msgid "This type of payment has already been made."
 msgstr ""
 
-#: waeup/fceokene/students/utils.py:66
+#: waeup/fceokene/students/utils.py:69
+msgid "Previous session payment not yet implemented."
+msgstr ""
+
+#: waeup/fceokene/students/utils.py:75
+#: waeup/fceokene/students/utils.py:219
 msgid "Session configuration object is not available."
 msgstr ""
 
-#: waeup/fceokene/students/utils.py:80
-#: waeup/fceokene/students/utils.py:86
-msgid "Study course data are incomplete."
-msgstr ""
-
+#: waeup/fceokene/students/utils.py:89
+msgid "You have not yet booked accommodation."
+msgstr ""
+
+#: waeup/fceokene/students/utils.py:92
+msgid "Current session does not match accommodation session."
+msgstr ""
+