Index: main/waeup.futminna/trunk/src/waeup/futminna/locales/waeup.futminna.pot
===================================================================
--- main/waeup.futminna/trunk/src/waeup/futminna/locales/waeup.futminna.pot	(revision 9229)
+++ main/waeup.futminna/trunk/src/waeup/futminna/locales/waeup.futminna.pot	(revision 9851)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Sun Jun  3 19:34:05 2012\n"
+"POT-Creation-Date: Wed Jan  9 10:50:39 2013\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -24,683 +24,149 @@
 "Generated-By: zope/app/locales/extract.py\n"
 
-#: waeup/futminna/applicants/browser.py:183
-#: waeup/futminna/students/browser.py:207
-#. Default: ""
-msgid ""
-"<br /><br /><br />\n"
-"The tranzaction code is <strong>${a}</strong>."
-msgstr ""
-
-#: waeup/futminna/applicants/browser.py:71
-msgid "<br /><br /><br />Comfirm your exam venue 72 hours to the exam."
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:103
-#: waeup/futminna/applicants/interfaces.py:280
-msgid "Screening Date"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:107
-#: waeup/futminna/applicants/interfaces.py:284
-msgid "Screening Score"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:111
-#: waeup/futminna/applicants/interfaces.py:289
-msgid "Student Id"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:116
-#: waeup/futminna/applicants/interfaces.py:294
-msgid "Admitted Course of Study"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:121
-#: waeup/futminna/applicants/interfaces.py:300
-msgid "Form locked"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:158
-#: waeup/futminna/applicants/interfaces.py:190
-#: waeup/futminna/students/interfaces.py:185
-#: waeup/futminna/students/interfaces.py:229
-msgid "Qualification Obtained"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:164
-#: waeup/futminna/students/interfaces.py:192
-#: waeup/futminna/students/interfaces.py:236
-msgid "Former Matric Number"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:169
-#: waeup/futminna/students/interfaces.py:198
-#: waeup/futminna/students/interfaces.py:242
-msgid "Class of Degree"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:175
-#: waeup/futminna/students/interfaces.py:205
-#: waeup/futminna/students/interfaces.py:249
-msgid "Institution Attended"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:180
-#: waeup/futminna/students/interfaces.py:211
-#: waeup/futminna/students/interfaces.py:255
-msgid "Years Attended"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:185
-#: waeup/futminna/students/interfaces.py:217
-#: waeup/futminna/students/interfaces.py:261
-msgid "Discipline"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:201
-msgid "If yes, name of institution"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:206
-#: waeup/futminna/students/interfaces.py:267
-msgid "Nysc Year"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:212
-#: waeup/futminna/students/interfaces.py:274
-msgid "Nysc Location"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:216
-#: waeup/futminna/students/interfaces.py:279
-msgid "Employer"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:221
-#: waeup/futminna/students/interfaces.py:285
-msgid "Employer Position"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:226
-#: waeup/futminna/applicants/interfaces.py:253
-#: waeup/futminna/students/interfaces.py:291
-#: waeup/futminna/students/interfaces.py:323
-msgid "Start Date"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:232
-#: waeup/futminna/applicants/interfaces.py:259
-#: waeup/futminna/students/interfaces.py:298
-#: waeup/futminna/students/interfaces.py:329
-msgid "End Date"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:238
-#: waeup/futminna/applicants/interfaces.py:265
-#: waeup/futminna/students/interfaces.py:305
-#: waeup/futminna/students/interfaces.py:336
-msgid "Reason for Leaving"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:243
-#: waeup/futminna/students/interfaces.py:311
-msgid "2nd Employer"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:248
-#: waeup/futminna/students/interfaces.py:317
-msgid "2nd Employer Position"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:359
-msgid "Email Address"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:364
-#: waeup/futminna/students/interfaces.py:69
-msgid "Date of Birth"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:64
-#: waeup/futminna/applicants/interfaces.py:135
-#: waeup/futminna/students/interfaces.py:76
-msgid "Nationality"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:69
-#: waeup/futminna/applicants/interfaces.py:140
-#: waeup/futminna/students/interfaces.py:82
-msgid "State/LGA (Nigerians only)"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:73
-#: waeup/futminna/applicants/interfaces.py:144
-msgid "Permanent Address"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:77
-#: waeup/futminna/applicants/interfaces.py:148
-msgid "1st Choice Course of Study"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:82
-#: waeup/futminna/applicants/interfaces.py:153
-msgid "2nd Choice Course of Study"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:87
-msgid "Subjects and Scores"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:91
-msgid "Total Score"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:95
-#: waeup/futminna/applicants/interfaces.py:270
-msgid "Notice"
-msgstr ""
-
-#: waeup/futminna/applicants/interfaces.py:99
-#: waeup/futminna/applicants/interfaces.py:275
-msgid "Screening Venue"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:49
-msgid "Base Data"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:50
-msgid "Programmes/Courses Desired"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:51
-#: waeup/futminna/students/utils.py:161
-msgid "Higher Education Record"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:52
-msgid "Course or Programme Presently Attending"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:53
-#: waeup/futminna/students/utils.py:163
-msgid "NYSC Information"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:54
-#: waeup/futminna/students/utils.py:164
-msgid "Employment History"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:55
-msgid "JAMB Data"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:56
-msgid "Application Process Information"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:57
-msgid "Post Primary School Qualification"
-msgstr ""
-
-#: waeup/futminna/applicants/utils.py:58
-msgid "Presently attending a course or programme"
-msgstr ""
-
 #: waeup/futminna/browser/theming.py:30
 msgid "FUTMinna Theme"
 msgstr ""
 
-#: waeup/futminna/etranzact/browser.py:100
-#: waeup/futminna/etranzact/browser.py:108
-msgid "Query eTranzact History"
+#: waeup/futminna/interfaces.py:103
+msgid "Academic Session"
 msgstr ""
 
-#: waeup/futminna/etranzact/browser.py:119
-msgid "Submit to eTranzact"
+#: waeup/futminna/interfaces.py:35
+msgid "School Fee (ignored)"
 msgstr ""
 
-#: waeup/futminna/etranzact/browser.py:120
-msgid "Requery eTranzact History"
+#: waeup/futminna/interfaces.py:41
+msgid "Application Fee (not-applicable)"
 msgstr ""
 
-#: waeup/futminna/etranzact/browser.py:139
-#: waeup/futminna/etranzact/browser.py:167
-#: waeup/futminna/interswitch/browser.py:410
-#: waeup/futminna/interswitch/browser.py:438
-msgid "This ticket has already been paid."
+#: waeup/futminna/interfaces.py:47
+msgid "Clearance Fee"
 msgstr ""
 
-#: waeup/futminna/etranzact/browser.py:47
-#. Default: ""
-msgid "Invalid or unsuccessful callback: ${a}"
-msgstr ""
-
-#: waeup/futminna/etranzact/browser.py:55
-#: waeup/futminna/etranzact/browser.py:62
-#: waeup/futminna/interswitch/browser.py:95
-#. Default: ""
-msgid "Invalid callback: ${a}"
-msgstr ""
-
-#: waeup/futminna/etranzact/browser.py:67
-msgid "eTranzact IOError"
-msgstr ""
-
-#: waeup/futminna/etranzact/browser.py:76
-msgid "Wrong amount"
-msgstr ""
-
-#: waeup/futminna/etranzact/browser.py:85
-msgid "Wrong transaction code"
-msgstr ""
-
-#: waeup/futminna/etranzact/browser.py:90
-#: waeup/futminna/interswitch/browser.py:120
-msgid "Successful callback received"
-msgstr ""
-
-#: waeup/futminna/interfaces.py:104
-msgid "Application Fee (fallback)"
-msgstr ""
-
-#: waeup/futminna/interfaces.py:110
-msgid "Clearance Fee (ignored)"
-msgstr ""
-
-#: waeup/futminna/interfaces.py:116
+#: waeup/futminna/interfaces.py:56
 msgid "Booking Fee"
 msgstr ""
 
-#: waeup/futminna/interfaces.py:124
+#: waeup/futminna/interfaces.py:64
 msgid "Maintenance Fee (ignored)"
 msgstr ""
 
-#: waeup/futminna/interfaces.py:130
+#: waeup/futminna/interfaces.py:70
 msgid "Gown Fee"
 msgstr ""
 
-#: waeup/futminna/interfaces.py:136
+#: waeup/futminna/interfaces.py:76
 msgid "Transfer Fee"
 msgstr ""
 
-#: waeup/futminna/interfaces.py:151
-msgid "Academic Session"
+#: waeup/futminna/interfaces.py:82
+msgid "UG Penalty Fee"
 msgstr ""
 
 #: waeup/futminna/interfaces.py:88
-#. Default: ""
-msgid "Invalid key: ${a}"
+msgid "PG Penalty Fee"
 msgstr ""
 
-#: waeup/futminna/interfaces.py:98
-msgid "School Fee (ignored)"
-msgstr ""
-
-#: waeup/futminna/interswitch/browser.py:104
-#. Default: ""
-msgid "Unsuccessful callback: ${a}"
-msgstr ""
-
-#: waeup/futminna/interswitch/browser.py:109
-msgid "Callback amount does not match."
-msgstr ""
-
-#: waeup/futminna/interswitch/browser.py:114
-msgid "Callback transaction id does not match."
-msgstr ""
-
-#: waeup/futminna/interswitch/browser.py:129
-#: waeup/futminna/interswitch/browser.py:143
-msgid "CollegePAY"
-msgstr ""
-
-#: waeup/futminna/interswitch/browser.py:175
-#: waeup/futminna/interswitch/browser.py:183
-msgid "Requery CollegePAY"
-msgstr ""
-
-#: waeup/futminna/interswitch/browser.py:195
-#: waeup/futminna/interswitch/browser.py:292
+#: waeup/futminna/interswitch/browser.py:57
 msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
 msgstr ""
 
-#: waeup/futminna/interswitch/browser.py:196
-#: waeup/futminna/interswitch/browser.py:293
+#: waeup/futminna/interswitch/browser.py:58
 msgid "Submit"
 msgstr ""
 
-#: waeup/futminna/interswitch/browser.py:206
-#: waeup/futminna/interswitch/browser.py:302
+#: waeup/futminna/interswitch/browser.py:68
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
-#: waeup/futminna/payments/interfaces.py:29
-msgid "Activation Code"
+#: waeup/futminna/interswitch/browser_templates/student_goto_interswitch.pt:4
+msgid "These data will be submitted to the CollegePAY payment gateway, please check:"
 msgstr ""
 
-#: waeup/futminna/payments/interfaces.py:36
-msgid "Response Amount Approved"
+#: waeup/futminna/students/browser.py:60
+msgid "Create bed ticket"
 msgstr ""
 
-#: waeup/futminna/payments/interfaces.py:43
-msgid "Response Code"
+#: waeup/futminna/students/interfaces.py:74
+msgid "Current Session Payment"
 msgstr ""
 
-#: waeup/futminna/payments/interfaces.py:50
-msgid "Response Description"
-msgstr ""
-
-#: waeup/futminna/payments/interfaces.py:59
-msgid "Response Payment Reference"
-msgstr ""
-
-#: waeup/futminna/payments/interfaces.py:66
-msgid "Response Card Number"
-msgstr ""
-
-#: waeup/futminna/students/browser.py:150
-msgid "No birth certificate uploaded."
-msgstr ""
-
-#: waeup/futminna/students/browser.py:152
-msgid "No referee letter uploaded."
-msgstr ""
-
-#: waeup/futminna/students/browser.py:154
-msgid "No acceptance letter uploaded."
-msgstr ""
-
-#: waeup/futminna/students/browser.py:156
-msgid "No first sitting result uploaded."
-msgstr ""
-
-#: waeup/futminna/students/interfaces.py:104
-#: waeup/futminna/students/interfaces.py:137
-#: waeup/futminna/students/interfaces.py:170
-msgid "Exam Date"
-msgstr ""
-
-#: waeup/futminna/students/interfaces.py:111
-#: waeup/futminna/students/interfaces.py:144
-msgid "Exam Type"
-msgstr ""
-
-#: waeup/futminna/students/interfaces.py:118
-#: waeup/futminna/students/interfaces.py:151
-#: waeup/futminna/students/interfaces.py:177
-msgid "Exam Results"
-msgstr ""
-
-#: waeup/futminna/students/interfaces.py:342
-msgid "If yes, matric number"
-msgstr ""
-
-#: waeup/futminna/students/interfaces.py:372
+#: waeup/futminna/students/interfaces.py:80
 msgid "Payment Level"
 msgstr ""
 
-#: waeup/futminna/students/interfaces.py:399
-msgid "Matriculation Number"
+#: waeup/futminna/students/utils.py:126
+msgid "You have not yet booked accommodation."
 msgstr ""
 
-#: waeup/futminna/students/interfaces.py:44
-#: waeup/futminna/students/interfaces.py:390
-msgid "Registration Number"
+#: waeup/futminna/students/utils.py:129
+msgid "Current session does not match accommodation session."
 msgstr ""
 
-#: waeup/futminna/students/interfaces.py:60
-msgid "Unmarried"
-msgstr ""
-
-#: waeup/futminna/students/interfaces.py:61
-msgid "Married"
-msgstr ""
-
-#: waeup/futminna/students/interfaces.py:87
-msgid "Deferent of Admission"
-msgstr ""
-
-#: waeup/futminna/students/interfaces.py:93
-#: waeup/futminna/students/interfaces.py:126
-#: waeup/futminna/students/interfaces.py:159
-msgid "Full Name"
-msgstr ""
-
-#: waeup/futminna/students/interfaces.py:98
-#: waeup/futminna/students/interfaces.py:131
-#: waeup/futminna/students/interfaces.py:164
-msgid "Exam Number"
-msgstr ""
-
-#: waeup/futminna/students/utils.py:108
+#: waeup/futminna/students/utils.py:141
 msgid "Amount could not be determined."
 msgstr ""
 
-#: waeup/futminna/students/utils.py:115
+#: waeup/futminna/students/utils.py:148
 msgid "This type of payment has already been made."
 msgstr ""
 
-#: waeup/futminna/students/utils.py:158
-msgid "First Sitting Record"
+#: waeup/futminna/students/utils.py:66
+msgid "Previous session payment not yet implemented."
 msgstr ""
 
-#: waeup/futminna/students/utils.py:159
-msgid "Second Sitting Record"
-msgstr ""
-
-#: waeup/futminna/students/utils.py:160
-msgid "Advanced Level Record"
-msgstr ""
-
-#: waeup/futminna/students/utils.py:162
-msgid "Second Higher Education Record"
-msgstr ""
-
-#: waeup/futminna/students/utils.py:165
-msgid "Former FUTMinna Student"
-msgstr ""
-
-#: waeup/futminna/students/utils.py:69
+#: waeup/futminna/students/utils.py:72
+#: waeup/futminna/students/utils.py:110
 msgid "Session configuration object is not available."
 msgstr ""
 
-#: waeup/futminna/students/utils.py:82
-#: waeup/futminna/students/utils.py:93
+#: waeup/futminna/students/utils.py:79
+#: waeup/futminna/students/utils.py:115
 msgid "Study course data are incomplete."
 msgstr ""
 
-#: waeup/futminna/students/viewlets.py:100
-msgid "Second Sitting Result Scan"
+#: waeup/futminna/students/viewlets.py:124
+#: waeup/futminna/students/viewlets.py:125
+#: waeup/futminna/students/viewlets.py:135
+#: waeup/futminna/students/viewlets.py:136
+msgid "JAMB Letter"
 msgstr ""
 
-#: waeup/futminna/students/viewlets.py:116
-#: waeup/futminna/students/viewlets.py:117
-#: waeup/futminna/students/viewlets.py:127
-msgid "Higher Qualification Result"
+#: waeup/futminna/students/viewlets.py:152
+#: waeup/futminna/students/viewlets.py:153
+#: waeup/futminna/students/viewlets.py:163
+#: waeup/futminna/students/viewlets.py:164
+msgid "JAMB Slip"
 msgstr ""
 
-#: waeup/futminna/students/viewlets.py:128
-msgid "Higher Qualification Result Scan"
+#: waeup/futminna/students/viewlets.py:180
+#: waeup/futminna/students/viewlets.py:181
+#: waeup/futminna/students/viewlets.py:191
+#: waeup/futminna/students/viewlets.py:192
+msgid "Age Declaration"
 msgstr ""
 
-#: waeup/futminna/students/viewlets.py:144
-#: waeup/futminna/students/viewlets.py:145
-#: waeup/futminna/students/viewlets.py:155
-msgid "Second Higher Qualification Result"
+#: waeup/futminna/students/viewlets.py:40
+#: waeup/futminna/students/viewlets.py:41
+#: waeup/futminna/students/viewlets.py:51
+msgid "Accepted by Institution"
 msgstr ""
 
-#: waeup/futminna/students/viewlets.py:156
-msgid "Second Higher Qualification Result Scan"
+#: waeup/futminna/students/viewlets.py:52
+msgid "Accepted by Institution Scan"
 msgstr ""
 
-#: waeup/futminna/students/viewlets.py:179
-#: waeup/futminna/students/viewlets.py:180
-#: waeup/futminna/students/viewlets.py:190
-msgid "Advanced Level Result"
+#: waeup/futminna/students/viewlets.py:68
+#: waeup/futminna/students/viewlets.py:69
+#: waeup/futminna/students/viewlets.py:79
+#: waeup/futminna/students/viewlets.py:80
+msgid "Credential"
 msgstr ""
 
-#: waeup/futminna/students/viewlets.py:191
-msgid "Advanced Level Result Scan"
+#: waeup/futminna/students/viewlets.py:96
+#: waeup/futminna/students/viewlets.py:97
+#: waeup/futminna/students/viewlets.py:107
+#: waeup/futminna/students/viewlets.py:108
+msgid "Student Signature"
 msgstr ""
 
-#: waeup/futminna/students/viewlets.py:207
-#: waeup/futminna/students/viewlets.py:208
-#: waeup/futminna/students/viewlets.py:218
-msgid "Certificate"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:219
-msgid "Certificate Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:235
-#: waeup/futminna/students/viewlets.py:236
-#: waeup/futminna/students/viewlets.py:246
-msgid "Second Certificate"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:247
-msgid "Second Certificate Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:270
-#: waeup/futminna/students/viewlets.py:271
-#: waeup/futminna/students/viewlets.py:281
-msgid "Third Certificate"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:282
-msgid "Third Certificate Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:305
-#: waeup/futminna/students/viewlets.py:306
-#: waeup/futminna/students/viewlets.py:316
-msgid "Evidence of Name"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:317
-msgid "Evidence of Name Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:32
-#: waeup/futminna/students/viewlets.py:43
-msgid "LGA Identification"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:33
-#: waeup/futminna/students/viewlets.py:44
-msgid "LGA Identification Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:333
-#: waeup/futminna/students/viewlets.py:334
-#: waeup/futminna/students/viewlets.py:344
-msgid "Result Statement"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:345
-msgid "Result Statement Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:361
-#: waeup/futminna/students/viewlets.py:362
-#: waeup/futminna/students/viewlets.py:372
-msgid "Referee Letter"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:373
-msgid "Referee Letter Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:389
-#: waeup/futminna/students/viewlets.py:390
-#: waeup/futminna/students/viewlets.py:400
-msgid "Second Referee Letter"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:401
-msgid "Second Referee Letter Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:424
-#: waeup/futminna/students/viewlets.py:425
-#: waeup/futminna/students/viewlets.py:435
-msgid "Third Referee Letter"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:436
-msgid "Third Referee Letter Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:459
-#: waeup/futminna/students/viewlets.py:460
-#: waeup/futminna/students/viewlets.py:470
-msgid "Statutory Declaration of Good Conduct"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:471
-msgid "Statutory Declaration of Good Conduct Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:487
-#: waeup/futminna/students/viewlets.py:488
-#: waeup/futminna/students/viewlets.py:498
-msgid "Letter of Admission"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:499
-msgid "Letter of Admission Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:60
-#: waeup/futminna/students/viewlets.py:61
-#: waeup/futminna/students/viewlets.py:71
-msgid "First Sitting Result"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:72
-msgid "First Sitting Result Scan"
-msgstr ""
-
-#: waeup/futminna/students/viewlets.py:88
-#: waeup/futminna/students/viewlets.py:89
-#: waeup/futminna/students/viewlets.py:99
-msgid "Second Sitting Result"
-msgstr ""
-
-#: waeup/futminna/utils/utils.py:26
-msgid "Nigeria"
-msgstr ""
-
-#: waeup/futminna/utils/utils.py:27
-msgid "Germany"
-msgstr ""
-
-#: waeup/futminna/utils/utils.py:28
-msgid "United States"
-msgstr ""
-
-#: waeup/futminna/utils/utils.py:29
-msgid "Niger"
-msgstr ""
-
-#: waeup/futminna/utils/utils.py:30
-msgid "Benin"
-msgstr ""
-
-#: waeup/futminna/utils/utils.py:31
-msgid "Cameroon"
-msgstr ""
-
-#: waeup/futminna/utils/utils.py:32
-msgid "United Kingdom"
-msgstr ""
-
-#: waeup/futminna/utils/utils.py:33
-msgid "France"
-msgstr ""
-