Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/ftesting.zcml
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/ftesting.zcml	(revision 9811)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/ftesting.zcml	(revision 9852)
@@ -2,5 +2,5 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
-   i18n_domain="waeup.custom"
+   i18n_domain="waeup.kwarapoly"
    package="waeup.kwarapoly"
    >
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser_templates/applicant_goto_interswitch.pt
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 9811)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 9852)
@@ -1,3 +1,3 @@
-<form i18n:domain="waeup.custom"
+<form i18n:domain="waeup.kwarapoly"
   tal:attributes="action view/action" method="POST">
 
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser_templates/student_goto_interswitch.pt
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser_templates/student_goto_interswitch.pt	(revision 9811)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser_templates/student_goto_interswitch.pt	(revision 9852)
@@ -1,3 +1,3 @@
-<form i18n:domain="waeup.custom"
+<form i18n:domain="waeup.kwarapoly"
   tal:attributes="action view/action" method="POST">
 
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/locales/waeup.kwarapoly.pot
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/locales/waeup.kwarapoly.pot	(revision 9811)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/locales/waeup.kwarapoly.pot	(revision 9852)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Mon Sep  3 12:52:46 2012\n"
+"POT-Creation-Date: Wed Jan  9 10:52:42 2013\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -60,79 +60,77 @@
 msgstr ""
 
-#: waeup/kwarapoly/interswitch/browser.py:103
-#. Default: ""
-msgid "Unsuccessful callback: ${a}"
-msgstr ""
-
-#: waeup/kwarapoly/interswitch/browser.py:108
-msgid "Callback amount does not match."
-msgstr ""
-
-#: waeup/kwarapoly/interswitch/browser.py:113
-msgid "Callback transaction id does not match."
-msgstr ""
-
-#: waeup/kwarapoly/interswitch/browser.py:119
-msgid "Successful callback received"
-msgstr ""
-
-#: waeup/kwarapoly/interswitch/browser.py:128
-#: waeup/kwarapoly/interswitch/browser.py:142
-msgid "CollegePAY"
-msgstr ""
-
-#: waeup/kwarapoly/interswitch/browser.py:156
-#: waeup/kwarapoly/interswitch/browser.py:164
-msgid "Requery CollegePAY"
-msgstr ""
-
-#: waeup/kwarapoly/interswitch/browser.py:175
-#: waeup/kwarapoly/interswitch/browser.py:254
+#: waeup/kwarapoly/interswitch/browser.py:70
 msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
 msgstr ""
 
-#: waeup/kwarapoly/interswitch/browser.py:176
-#: waeup/kwarapoly/interswitch/browser.py:255
+#: waeup/kwarapoly/interswitch/browser.py:71
 msgid "Submit"
 msgstr ""
 
-#: waeup/kwarapoly/interswitch/browser.py:186
-#: waeup/kwarapoly/interswitch/browser.py:264
+#: waeup/kwarapoly/interswitch/browser.py:84
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
-#: waeup/kwarapoly/interswitch/browser.py:269
-msgid "Payment ticket can't be send to CollegePAY. Application period has expired."
+#: waeup/kwarapoly/interswitch/browser_templates/applicant_goto_interswitch.pt:4
+#: waeup/kwarapoly/interswitch/browser_templates/student_goto_interswitch.pt:4
+msgid "These data will be submitted to the CollegePAY payment gateway, please check:"
 msgstr ""
 
-#: waeup/kwarapoly/interswitch/browser.py:315
-#: waeup/kwarapoly/interswitch/browser.py:342
-msgid "This ticket has already been paid."
+#: waeup/kwarapoly/students/browser.py:66
+msgid "Wrong state"
 msgstr ""
 
-#: waeup/kwarapoly/interswitch/browser.py:94
-#. Default: ""
-msgid "Invalid callback: ${a}"
+#: waeup/kwarapoly/students/browser.py:70
+msgid "No portrait uploaded."
+msgstr ""
+
+#: waeup/kwarapoly/students/browser.py:74
+msgid "Not all required fields filled."
+msgstr ""
+
+#: waeup/kwarapoly/students/browser.py:80
+msgid "Clearance process has been started."
+msgstr ""
+
+#: waeup/kwarapoly/students/browser.py:95
+msgid "Create bed ticket"
+msgstr ""
+
+#: waeup/kwarapoly/students/browser_templates/bookbed.pt:3
+msgid "You data have been approved. You can book a bed by clicking the button below."
+msgstr ""
+
+#: waeup/kwarapoly/students/browser_templates/startclearance.pt:3
+msgid "You data have been approved. You can start clearance now by clicking the button below."
 msgstr ""
 
 #: waeup/kwarapoly/students/interfaces.py:74
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/kwarapoly/students/interfaces.py:80
 msgid "Payment Level"
 msgstr ""
 
-#: waeup/kwarapoly/students/utils.py:194
+#: waeup/kwarapoly/students/utils.py:138
+msgid "Previous session payment not yet implemented."
+msgstr ""
+
+#: waeup/kwarapoly/students/utils.py:144
+#: waeup/kwarapoly/students/utils.py:171
+msgid "Session configuration object is not available."
+msgstr ""
+
+#: waeup/kwarapoly/students/utils.py:159
+#: waeup/kwarapoly/students/utils.py:165
+msgid "Study course data are incomplete."
+msgstr ""
+
+#: waeup/kwarapoly/students/utils.py:187
 msgid "Amount could not be determined."
 msgstr ""
 
-#: waeup/kwarapoly/students/utils.py:201
+#: waeup/kwarapoly/students/utils.py:194
 msgid "This type of payment has already been made."
 msgstr ""
 
-#: waeup/kwarapoly/students/utils.py:66
-msgid "Session configuration object is not available."
-msgstr ""
-
-#: waeup/kwarapoly/students/utils.py:80
-#: waeup/kwarapoly/students/utils.py:86
-msgid "Study course data are incomplete."
-msgstr ""
-