Index: main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser_templates/enterpin.pt
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser_templates/enterpin.pt	(revision 9755)
+++ main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser_templates/enterpin.pt	(revision 9853)
@@ -1,4 +1,4 @@
 <form tal:attributes="action view/action"
-    method="POST" i18n:domain="waeup.custom">
+    method="POST" i18n:domain="waeup.aaue">
   <table class="form-table">
     <tbody>
Index: main/waeup.aaue/trunk/src/waeup/aaue/ftesting.zcml
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/ftesting.zcml	(revision 9755)
+++ main/waeup.aaue/trunk/src/waeup/aaue/ftesting.zcml	(revision 9853)
@@ -2,5 +2,5 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
-   i18n_domain="waeup.custom"
+   i18n_domain="waeup.aaue"
    package="waeup.aaue"
    >
Index: main/waeup.aaue/trunk/src/waeup/aaue/locales/waeup.aaue.pot
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/locales/waeup.aaue.pot	(revision 9853)
+++ main/waeup.aaue/trunk/src/waeup/aaue/locales/waeup.aaue.pot	(revision 9853)
@@ -0,0 +1,169 @@
+##############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+##############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Wed Jan  9 10:56:12 2013\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#: waeup/aaue/browser/theming.py:30
+msgid "AAUE Theme"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:133
+#. Default: ""
+msgid "Invalid or unsuccessful callback: ${a}"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:141
+#: waeup/aaue/etranzact/browser.py:148
+#. Default: ""
+msgid "Invalid callback: ${a}"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:153
+msgid "eTranzact IOError"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:163
+msgid "Wrong amount"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:174
+msgid "Wrong payment id"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:179
+msgid "Successful callback received"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:189
+#: waeup/aaue/etranzact/browser.py:197
+msgid "Query eTranzact History"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:208
+msgid "Submit to eTranzact"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:209
+msgid "Requery eTranzact History"
+msgstr ""
+
+#: waeup/aaue/etranzact/browser.py:227
+#: waeup/aaue/etranzact/browser.py:255
+msgid "This ticket has already been paid."
+msgstr ""
+
+#: waeup/aaue/etranzact/browser_templates/enterpin.pt:6
+msgid "Confirmation Number (PIN):"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:100
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:35
+msgid "School Fee Instalments"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:41
+msgid "Application Fee (fallback)"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:47
+msgid "Clearance Fee (ignored)"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:53
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:61
+msgid "Maintenance Fee (ignored)"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:73
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:79
+msgid "UG Penalty Fee"
+msgstr ""
+
+#: waeup/aaue/interfaces.py:85
+msgid "PG Penalty Fee"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:103
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:109
+msgid "Payment Level"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:126
+msgid "Course"
+msgstr ""
+
+#: waeup/aaue/students/utils.py:123
+msgid "Wrong state."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:125
+msgid "The previous 2nd school fee instalment has not yet been paid."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:142
+msgid "The 1st school fee instalment has not yet been paid or session has not yet been started."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:147
+msgid "Amount could not be determined."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:160
+msgid "This type of payment has already been made."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:61
+msgid "Previous session payment not yet implemented."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:67
+#: waeup/aaue/students/utils.py:96
+#: waeup/aaue/students/utils.py:120
+msgid "Session configuration object is not available."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:70
+msgid "School fee has to be paid by two instalments."
+msgstr ""
+
+#: waeup/aaue/students/utils.py:87
+#: waeup/aaue/students/utils.py:132
+msgid "Study course data are incomplete."
+msgstr ""
+
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 9755)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 9853)
@@ -32,5 +32,6 @@
     """
     grok.context(ICustomStudentOnlinePayment)
-    form_fields = grok.AutoFields(ICustomStudentOnlinePayment)
+    form_fields = grok.AutoFields(ICustomStudentOnlinePayment).omit(
+        'provider_amt', 'gateway_amt', 'thirdparty_amt')
     form_fields[
         'creation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
@@ -48,5 +49,6 @@
     """
     grok.context(ICustomStudentOnlinePayment)
-    form_fields = grok.AutoFields(ICustomStudentOnlinePayment)
+    form_fields = grok.AutoFields(ICustomStudentOnlinePayment).omit(
+        'provider_amt', 'gateway_amt', 'thirdparty_amt')
     form_fields['creation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     form_fields['payment_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')