Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 9860)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 9861)
@@ -503,7 +503,7 @@
         self.assertEqual(
             result,
-            'automatic,carry_over,code,credits,dcode,fcode,level,mandatory,'
-            'passmark,score,semester,title,student_id,certcode\r\n'
-            '0,0,,,,,,0,,,,,,\r\n'
+            'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
+            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
+            '0,0,,,,,,,0,,,,,,\r\n'
             )
         return
@@ -521,7 +521,7 @@
         self.assertEqual(
             result,
-            'automatic,carry_over,code,credits,dcode,fcode,level,mandatory,'
-            'passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
+            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
             )
         return
@@ -536,7 +536,7 @@
         self.assertEqual(
             result,
-            'automatic,carry_over,code,credits,dcode,fcode,level,mandatory,'
-            'passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
+            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
             )
         return
@@ -550,7 +550,7 @@
         self.assertEqual(
             result,
-            'automatic,carry_over,code,credits,dcode,fcode,level,mandatory,'
-            'passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
+            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
             )
         return
@@ -568,7 +568,7 @@
         self.assertEqual(
             result,
-            'automatic,carry_over,code,credits,dcode,fcode,level,mandatory,'
-            'passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
+            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
             )
         # if the coursetickets catalog is used to filter students
@@ -580,7 +580,7 @@
         self.assertEqual(
             result,
-            'automatic,carry_over,code,credits,dcode,fcode,level,mandatory,'
-            'passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
+            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
             )
         exporter.export_filtered(
@@ -589,6 +589,6 @@
         self.assertEqual(
             result,
-            'automatic,carry_over,code,credits,dcode,fcode,level,mandatory,'
-            'passmark,score,semester,title,student_id,certcode\r\n'
+            'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
+            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
             )
         return