Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9867)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9868)
@@ -1523,5 +1523,5 @@
     @action(_('Create ticket'), style='primary')
     def createTicket(self, **data):
-        balance_item = data.get('balance_item', None)
+        p_category = data['p_category']
         balance_session = data.get('balance_session', None)
         balance_level = data.get('balance_level', None)
@@ -1530,5 +1530,5 @@
         students_utils = getUtility(IStudentsUtils)
         error, payment = students_utils.setBalanceDetails(
-            balance_item, student, balance_session,
+            p_category, student, balance_session,
             balance_level, balance_amount)
         if error is not None:
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 9867)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 9868)
@@ -43,9 +43,9 @@
     DICT_NAME = 'PREVIOUS_PAYMENT_CATEGORIES'
 
-class BalancePaymentItemSource(ContextualDictSourceFactoryBase):
+class BalancePaymentCategorySource(ContextualDictSourceFactoryBase):
     """A source that delivers all selectable items of balance payments.
     """
     #: name of dict to deliver from kofa utils.
-    DICT_NAME = 'BALANCE_PAYMENT_ITEMS'
+    DICT_NAME = 'BALANCE_PAYMENT_CATEGORIES'
 
 # VerdictSource can't be placed into the vocabularies module because it
@@ -770,9 +770,9 @@
     """
 
-    balance_item = schema.Choice(
+    p_category = schema.Choice(
         title = _(u'Payment Category'),
         default = u'schoolfee',
         required = True,
-        source = BalancePaymentItemSource(),
+        source = BalancePaymentCategorySource(),
         )
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9867)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9868)
@@ -2396,5 +2396,5 @@
         # Previous session payment form is provided
         self.assertEqual(self.student.current_session, 2004)
-        self.browser.getControl(name="form.balance_item").value = ['schoolfee']
+        self.browser.getControl(name="form.p_category").value = ['schoolfee']
         self.browser.getControl(name="form.balance_session").value = ['2004']
         self.browser.getControl(name="form.balance_level").value = ['300']
@@ -2412,6 +2412,6 @@
         self.assertEqual(self.student['payments'][value].p_session, 2004)
         self.assertEqual(self.student['payments'][value].p_level, 300)
-        self.assertEqual(self.student['payments'][value].p_item, u'School Fee')
-        self.assertEqual(self.student['payments'][value].p_category, 'balance')
+        self.assertEqual(self.student['payments'][value].p_item, u'Balance')
+        self.assertEqual(self.student['payments'][value].p_category, 'schoolfee')
 
     def test_postgraduate_student_payments(self):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 9867)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 9868)
@@ -421,11 +421,10 @@
         return None, payment
 
-    def setBalanceDetails(self, balance_item, student,
+    def setBalanceDetails(self, category, student,
             balance_session, balance_level, balance_amount):
         """Create Payment object and set the payment data of a student for.
 
         """
-        p_item = getUtility(IKofaUtils).BALANCE_PAYMENT_ITEMS[balance_item]
-        p_item = unicode(p_item)
+        p_item = u'Balance'
         p_session = balance_session
         p_level = balance_level
@@ -447,5 +446,5 @@
         timestamp = ("%d" % int(time()*10000))[1:]
         payment.p_id = "p%s" % timestamp
-        payment.p_category = 'balance'
+        payment.p_category = category
         payment.p_item = p_item
         payment.p_session = p_session
Index: main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 9867)
+++ main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 9868)
@@ -160,13 +160,11 @@
         'gown': 'Gown Hire Fee',
         'application': 'Application Fee',
-        'balance': 'Balance'
         }
 
     SELECTABLE_PAYMENT_CATEGORIES = deepcopy(PAYMENT_CATEGORIES)
-    del SELECTABLE_PAYMENT_CATEGORIES['balance']
 
     PREVIOUS_PAYMENT_CATEGORIES = deepcopy(SELECTABLE_PAYMENT_CATEGORIES)
 
-    BALANCE_PAYMENT_ITEMS = {
+    BALANCE_PAYMENT_CATEGORIES = {
         'schoolfee': 'School Fee',
         }