Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 9825)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 9900)
@@ -34,4 +34,5 @@
     IApplicantRegisterUpdate
     )
+from waeup.kofa.applicants.container import ApplicantsContainer
 from waeup.kofa.applicants.applicant import search
 from waeup.kofa.applicants.workflow import (
@@ -578,5 +579,5 @@
     be provided and only PortalManagers can do this. 
     """
-    grok.context(IApplicantsContainer)
+    #grok.context(IApplicantsContainer)
     grok.name('createallstudents')
     grok.require('waeup.managePortal')
@@ -586,6 +587,10 @@
         results = list(cat.searchResults(state=(ADMITTED, ADMITTED)))
         created = []
+        container_only = False
+        applicants_root = grok.getSite()['applicants']
+        if isinstance(self.context, ApplicantsContainer):
+            container_only = True
         for result in results:
-            if result.__parent__ is not self.context:
+            if container_only and result.__parent__ is not self.context:
                 continue
             success, msg = result.createStudent(view=self)
@@ -594,5 +599,5 @@
             else:
                 ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
-                self.context.__parent__.logger.info(
+                applicants_root.logger.info(
                     '%s - %s - %s' % (ob_class, result.applicant_id, msg))
         if len(created):
@@ -601,5 +606,5 @@
         else:
             self.flash(_('No student could be created.'))
-        self.redirect(self.url(self.context, u'statistics'))
+        self.redirect(self.url(self.context))
         return
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_applicantcopier.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_applicantcopier.py	(revision 9825)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_applicantcopier.py	(revision 9900)
@@ -144,5 +144,5 @@
         self.assertTrue('1 students successfully created' in self.browser.contents)
 
-    def test_hidden_batch_copying(self):
+    def test_hidden_batch_copying_container(self):
         logfile = os.path.join(
             self.app['datacenter'].storage, 'logs', 'applicants.log')
@@ -171,4 +171,22 @@
         self.assertTrue('1 students successfully created' in self.browser.contents)
 
+    def test_hidden_batch_copying_all(self):
+        logfile = os.path.join(
+            self.app['datacenter'].storage, 'logs', 'applicants.log')
+        self.prepare_applicant()
+        self.browser.open(self.manage_path)
+        self.browser.getControl(name="form.date_of_birth").value = '09/09/1988'
+        #self.browser.getControl(name="form.course_admitted").value = ['CERT1']
+        self.browser.getControl("Save").click()
+        IWorkflowState(self.applicant).setState('admitted')
+        notify(grok.ObjectModifiedEvent(self.applicant))
+        self.browser.open(self.root_path + '/createallstudents')
+        self.assertTrue('No student could be created' in self.browser.contents)
+        logcontent = open(logfile).read()
+        self.assertTrue('No course admitted provided' in logcontent)
+        self.applicant.course_admitted = self.certificate
+        self.browser.open(self.root_path + '/createallstudents')
+        self.assertTrue('1 students successfully created' in self.browser.contents)
+
     def test_copier_wo_passport(self):
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 9825)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 9900)
@@ -139,11 +139,16 @@
 
 class AllStudentsCreateActionButton(ManageActionButton):
-    grok.order(1)
-    grok.context(IApplicantsContainer)
-    grok.view(ApplicantsStatisticsPage)
+    grok.order(3)
+    grok.context(IApplicantsRoot)
+    grok.view(ApplicantsRootPage)
     grok.require('waeup.managePortal')
     icon = 'actionicon_entrance.png'
     text = _('Create all student records')
     target ='createallstudents'
+
+class ContainerStudentsCreateActionButton(AllStudentsCreateActionButton):
+    grok.context(IApplicantsContainer)
+    grok.order(1)
+    grok.view(ApplicantsStatisticsPage)
 
 class ApplicantViewActionButton(ManageActionButton):