Index: main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 9907)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 9908)
@@ -199,26 +199,34 @@
     def render(self):
         portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        Sem = translate('Sem.', 'waeup.kofa', target_language=portal_language)
-        Code = translate('Code', 'waeup.kofa', target_language=portal_language)
-        Title = translate('Title', 'waeup.kofa', target_language=portal_language)
-        Dept = translate('Dept.', 'waeup.kofa', target_language=portal_language)
-        Faculty = translate('Faculty', 'waeup.kofa', target_language=portal_language)
-        Cred = translate('Cred.', 'waeup.kofa', target_language=portal_language)
-        Mand = translate('Requ.', 'waeup.kofa', target_language=portal_language)
+        Sem = translate(_('Sem.'), 'waeup.kofa', target_language=portal_language)
+        Code = translate(_('Code'), 'waeup.kofa', target_language=portal_language)
+        Title = translate(_('Title'), 'waeup.kofa', target_language=portal_language)
+        Dept = translate(_('Dept.'), 'waeup.kofa', target_language=portal_language)
+        Faculty = translate(_('Faculty'), 'waeup.kofa', target_language=portal_language)
+        Cred = translate(_('Cred.'), 'waeup.kofa', target_language=portal_language)
+        Score = translate(_('Score'), 'waeup.kofa', target_language=portal_language)
+        Grade = translate(_('Grade'), 'waeup.kofa', target_language=portal_language)
         studentview = StudentBasePDFFormPage(self.context.student,
             self.request, self.omit_fields)
         students_utils = getUtility(IStudentsUtils)
-        tabledata = sorted(self.context.values(),
-            key=lambda value: str(value.semester) + value.code)
+        tabledata_1 = sorted(
+            [value for value in self.context.values() if value.semester == 1],
+            key=lambda value: str(value.semester) + value.code)
+        tabledata_2 = sorted(
+            [value for value in self.context.values() if value.semester == 2],
+            key=lambda value: str(value.semester) + value.code)
+        tableheader = [(Code,'code', 2.5),
+                         (Title,'title', 5),
+                         (Dept,'dcode', 1.5), (Faculty,'fcode', 1.5),
+                         (Cred, 'credits', 1.5),
+                         ]
         return students_utils.renderPDF(
             self, 'course_registration_slip.pdf',
             self.context.student, studentview,
-            tableheader=[(Sem,'semester', 1.5),(Code,'code', 2.5),
-                         (Title,'title', 5),
-                         (Dept,'dcode', 1.5), (Faculty,'fcode', 1.5),
-                         (Cred, 'credits', 1.5),
-                         (Mand, 'mandatory', 1.5),
-                         ],
-            tabledata=tabledata)
+            tableheader_1=tableheader,
+            tabledata_1=tabledata_1,
+            tableheader_2=tableheader,
+            tabledata_2=tabledata_2
+            )
 
 class UnibenExportPDFCourseResultSlipPage(ExportPDFCourseRegistrationSlipPage):
@@ -240,29 +248,35 @@
     def render(self):
         portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        Sem = translate('Sem.', 'waeup.kofa', target_language=portal_language)
-        Code = translate('Code', 'waeup.kofa', target_language=portal_language)
-        Title = translate('Title', 'waeup.kofa', target_language=portal_language)
-        Dept = translate('Dept.', 'waeup.kofa', target_language=portal_language)
-        Faculty = translate('Faculty', 'waeup.kofa', target_language=portal_language)
-        Cred = translate('Cred.', 'waeup.kofa', target_language=portal_language)
-        Mand = translate('Requ.', 'waeup.kofa', target_language=portal_language)
-        Grade = translate('Grade', 'waeup.kofa', target_language=portal_language)
+        Sem = translate(_('Sem.'), 'waeup.kofa', target_language=portal_language)
+        Code = translate(_('Code'), 'waeup.kofa', target_language=portal_language)
+        Title = translate(_('Title'), 'waeup.kofa', target_language=portal_language)
+        Dept = translate(_('Dept.'), 'waeup.kofa', target_language=portal_language)
+        Faculty = translate(_('Faculty'), 'waeup.kofa', target_language=portal_language)
+        Cred = translate(_('Cred.'), 'waeup.kofa', target_language=portal_language)
+        Score = translate(_('Score'), 'waeup.kofa', target_language=portal_language)
+        Grade = translate(_('Grade'), 'waeup.kofa', target_language=portal_language)
         studentview = StudentBasePDFFormPage(self.context.student,
             self.request, self.omit_fields)
         students_utils = getUtility(IStudentsUtils)
-        tabledata = sorted(self.context.values(),
-            key=lambda value: str(value.semester) + value.code)
+        tabledata_1 = sorted(
+            [value for value in self.context.values() if value.semester == 1],
+            key=lambda value: str(value.semester) + value.code)
+        tabledata_2 = sorted(
+            [value for value in self.context.values() if value.semester == 2],
+            key=lambda value: str(value.semester) + value.code)
+        tableheader = [(Code,'code', 2.5),
+                         (Title,'title', 5),
+                         (Dept,'dcode', 1.5), (Faculty,'fcode', 1.5),
+                         (Cred, 'credits', 1.5),
+                         (Grade, 'grade', 1.5),
+                         ]
         return students_utils.renderPDF(
             self, 'course_registration_slip.pdf',
             self.context.student, studentview,
-            tableheader=[(Sem,'semester', 1.5),(Code,'code', 2.5),
-                         (Title,'title', 5),
-                         (Dept,'dcode', 1.5), (Faculty,'fcode', 1.5),
-                         (Cred, 'credits', 1.5),
-                         (Mand, 'mandatory', 1.5),
-                         (Grade, 'grade', 1.5),
-                         #('Auto', 'automatic', 1.5)
-                         ],
-            tabledata=tabledata)
+            tableheader_1=tableheader,
+            tabledata_1=tabledata_1,
+            tableheader_2=tableheader,
+            tabledata_2=tabledata_2
+            )
 
 class CustomCourseTicketDisplayFormPage(CourseTicketDisplayFormPage):