Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_utils.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_utils.py	(revision 9910)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_utils.py	(revision 9911)
@@ -11,15 +11,15 @@
         result3 = formatted_text(3)
         result4 = formatted_text(u'unicöde')
-        result5 = formatted_text(u'sample', color='red', size=12)
+        result5 = formatted_text(u'sample', color='red')
         self.assertTrue(isinstance(result1, unicode))
         self.assertEqual(
-            result1, u'<font color="black" size="10">sample</font>')
+            result1, u'<font color="black">sample</font>')
         self.assertEqual(
-            result2, u'<font color="black" size="10">ümlaut</font>')
+            result2, u'<font color="black">ümlaut</font>')
         self.assertEqual(
-            result3, u'<font color="black" size="10">3</font>')
+            result3, u'<font color="black">3</font>')
         self.assertEqual(
-            result4, u'<font color="black" size="10">unicöde</font>')
+            result4, u'<font color="black">unicöde</font>')
         self.assertEqual(
-            result5, u'<font color="red" size="12">sample</font>')
+            result5, u'<font color="red">sample</font>')
         return
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 9910)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 9911)
@@ -55,13 +55,9 @@
 FONT_COLOR = 'black'
 
-def formatted_label(color=FONT_COLOR, size=FONT_SIZE):
-    tag1 ='<font color=%s>' % (color)
-    return tag1 + '%s:</font>'
-
 def trans(text, lang):
     # shortcut
     return translate(text, 'waeup.kofa', target_language=lang)
 
-def formatted_text(text, color=FONT_COLOR, size=FONT_SIZE):
+def formatted_text(text, color=FONT_COLOR):
     """Turn `text`, `color` and `size` into an HTML snippet.
 
@@ -127,7 +123,7 @@
     portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
 
-    f_label = formatted_label(size=12) % _('Name')
+    f_label = _('Name:')
     f_label = Paragraph(f_label, ENTRY1_STYLE)
-    f_text = formatted_text(studentview.context.display_fullname, size=12)
+    f_text = formatted_text(studentview.context.display_fullname)
     f_text = Paragraph(f_text, ENTRY1_STYLE)
     data_right.append([f_label,f_text])
@@ -136,43 +132,43 @@
         if 'name' in widget.name:
             continue
-        f_label = formatted_label(size=12) % translate(
+        f_label = translate(
             widget.label.strip(), 'waeup.kofa',
             target_language=portal_language)
-        f_label = Paragraph(f_label, ENTRY1_STYLE)
-        f_text = formatted_text(widget(), size=12)
+        f_label = Paragraph('%s:' % f_label, ENTRY1_STYLE)
+        f_text = formatted_text(widget())
         f_text = Paragraph(f_text, ENTRY1_STYLE)
         data_right.append([f_label,f_text])
 
     if getattr(studentview.context, 'certcode', None):
-        f_label = formatted_label(size=12) % _('Study Course')
+        f_label = _('Study Course:')
         f_label = Paragraph(f_label, ENTRY1_STYLE)
         f_text = formatted_text(
-            studentview.context['studycourse'].certificate.longtitle(), size=12)
+            studentview.context['studycourse'].certificate.longtitle())
         f_text = Paragraph(f_text, ENTRY1_STYLE)
         data_right.append([f_label,f_text])
 
-        f_label = formatted_label(size=12) % _('Department')
+        f_label = _('Department:')
         f_label = Paragraph(f_label, ENTRY1_STYLE)
         f_text = formatted_text(
             studentview.context[
             'studycourse'].certificate.__parent__.__parent__.longtitle(),
-            size=12)
+            )
         f_text = Paragraph(f_text, ENTRY1_STYLE)
         data_right.append([f_label,f_text])
 
-        f_label = formatted_label(size=12) % _('Faculty')
+        f_label = _('Faculty:')
         f_label = Paragraph(f_label, ENTRY1_STYLE)
         f_text = formatted_text(
             studentview.context[
             'studycourse'].certificate.__parent__.__parent__.__parent__.longtitle(),
-            size=12)
+            )
         f_text = Paragraph(f_text, ENTRY1_STYLE)
         data_right.append([f_label,f_text])
 
-        f_label = formatted_label(size=12) % _('Entry Session')
+        f_label = _('Entry Session: ')
         f_label = Paragraph(f_label, ENTRY1_STYLE)
         entry_session = studentview.context['studycourse'].entry_session
         entry_session = academic_sessions_vocab.getTerm(entry_session).title
-        f_text = formatted_text(entry_session, size=12)
+        f_text = formatted_text(entry_session)
         f_text = Paragraph(f_text, ENTRY1_STYLE)
         data_right.append([f_label,f_text])