Index: main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 9915)
+++ main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 9915)
@@ -0,0 +1,40 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"POT-Creation-Date: \n"
+"PO-Revision-Date: \n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: waeup/kofa/students/browser.py:1013
+#: waeup/kofa/students/browser_templates/studylevelmanagepage.pt:40
+#: waeup/kofa/students/browser_templates/studylevelpage.pt:38
+msgid "Cred."
+msgstr "Units"
+
+#. Default: ""
+#: waeup/kofa/students/browser.py:2144
+msgid "Maximum credits of ${a} exceeded."
+msgstr "Maximum units of ${a} exceeded."
+
+#: waeup/kofa/students/browser_templates/courseticketmanagepage.pt:39
+msgid "Credits:"
+msgstr "Units:"
+
+#: waeup/kofa/students/browser_templates/studyleveleditpage.pt:7
+msgid "Course Tickets (Total Credits: ${total_credits})"
+msgstr "Course Units (Total Units: ${total_credits})"
+
+#: waeup/kofa/students/browser_templates/studylevelpage.pt:18
+msgid "Total Credits:"
+msgstr "Total Units"
+
+#: waeup/kofa/students/interfaces.py:531
+#: waeup/kofa/university/interfaces.py:152
+#: waeup/kofa/students/browser_templates/studyleveleditpage.pt:18
+msgid "Credits"
+msgstr "Units"
+
Index: main/waeup.aaue/trunk/src/waeup/aaue/locales/waeup.aaue.pot
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/locales/waeup.aaue.pot	(revision 9914)
+++ main/waeup.aaue/trunk/src/waeup/aaue/locales/waeup.aaue.pot	(revision 9915)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Jan  9 10:56:12 2013\n"
+"POT-Creation-Date: Sat Jan 26 12:08:44 2013\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -28,46 +28,46 @@
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:133
+#: waeup/aaue/etranzact/browser.py:138
 #. Default: ""
 msgid "Invalid or unsuccessful callback: ${a}"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:141
-#: waeup/aaue/etranzact/browser.py:148
+#: waeup/aaue/etranzact/browser.py:146
+#: waeup/aaue/etranzact/browser.py:153
 #. Default: ""
 msgid "Invalid callback: ${a}"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:153
+#: waeup/aaue/etranzact/browser.py:158
 msgid "eTranzact IOError"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:163
+#: waeup/aaue/etranzact/browser.py:168
 msgid "Wrong amount"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:174
+#: waeup/aaue/etranzact/browser.py:179
 msgid "Wrong payment id"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:179
+#: waeup/aaue/etranzact/browser.py:184
 msgid "Successful callback received"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:189
-#: waeup/aaue/etranzact/browser.py:197
+#: waeup/aaue/etranzact/browser.py:194
+#: waeup/aaue/etranzact/browser.py:202
 msgid "Query eTranzact History"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:208
+#: waeup/aaue/etranzact/browser.py:213
 msgid "Submit to eTranzact"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:209
+#: waeup/aaue/etranzact/browser.py:214
 msgid "Requery eTranzact History"
 msgstr ""
 
-#: waeup/aaue/etranzact/browser.py:227
-#: waeup/aaue/etranzact/browser.py:255
+#: waeup/aaue/etranzact/browser.py:232
+#: waeup/aaue/etranzact/browser.py:260
 msgid "This ticket has already been paid."
 msgstr ""
@@ -77,73 +77,97 @@
 msgstr ""
 
-#: waeup/aaue/interfaces.py:100
+#: waeup/aaue/interfaces.py:106
 msgid "Academic Session"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:35
-msgid "School Fee Instalments"
+#: waeup/aaue/interfaces.py:41
+msgid "School Fee"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:41
+#: waeup/aaue/interfaces.py:47
 msgid "Application Fee (fallback)"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:47
+#: waeup/aaue/interfaces.py:53
 msgid "Clearance Fee (ignored)"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:53
+#: waeup/aaue/interfaces.py:59
 msgid "Booking Fee"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:61
+#: waeup/aaue/interfaces.py:67
 msgid "Maintenance Fee (ignored)"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:67
+#: waeup/aaue/interfaces.py:73
 msgid "Gown Fee"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:73
+#: waeup/aaue/interfaces.py:79
 msgid "Transfer Fee"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:79
+#: waeup/aaue/interfaces.py:85
 msgid "UG Penalty Fee"
 msgstr ""
 
-#: waeup/aaue/interfaces.py:85
+#: waeup/aaue/interfaces.py:91
 msgid "PG Penalty Fee"
 msgstr ""
 
-#: waeup/aaue/students/interfaces.py:103
+#: waeup/aaue/students/browser.py:101
+msgid "Units Registered"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:105
+msgid "Head of Department"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:105
+msgid "Student Signature"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:116
+msgid "Course Lecturer's Signature"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:90
+msgid "Course Registration Slip"
+msgstr ""
+
+#: waeup/aaue/students/browser.py:93
+msgid "Session"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:102
+msgid "Payment Level"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:71
+msgid "1st Semester Units"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:77
+msgid "2nd Semester Units"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:83
+msgid "GPA"
+msgstr ""
+
+#: waeup/aaue/students/interfaces.py:96
 msgid "Current Session Payment"
 msgstr ""
 
-#: waeup/aaue/students/interfaces.py:109
-msgid "Payment Level"
-msgstr ""
-
-#: waeup/aaue/students/interfaces.py:126
-msgid "Course"
-msgstr ""
-
-#: waeup/aaue/students/utils.py:123
+#: waeup/aaue/students/utils.py:106
 msgid "Wrong state."
 msgstr ""
 
-#: waeup/aaue/students/utils.py:125
-msgid "The previous 2nd school fee instalment has not yet been paid."
-msgstr ""
-
-#: waeup/aaue/students/utils.py:142
-msgid "The 1st school fee instalment has not yet been paid or session has not yet been started."
-msgstr ""
-
-#: waeup/aaue/students/utils.py:147
+#: waeup/aaue/students/utils.py:108
 msgid "Amount could not be determined."
 msgstr ""
 
-#: waeup/aaue/students/utils.py:160
+#: waeup/aaue/students/utils.py:121
 msgid "This type of payment has already been made."
 msgstr ""
@@ -154,15 +178,10 @@
 
 #: waeup/aaue/students/utils.py:67
-#: waeup/aaue/students/utils.py:96
-#: waeup/aaue/students/utils.py:120
+#: waeup/aaue/students/utils.py:92
+#: waeup/aaue/students/utils.py:103
 msgid "Session configuration object is not available."
 msgstr ""
 
-#: waeup/aaue/students/utils.py:70
-msgid "School fee has to be paid by two instalments."
-msgstr ""
-
-#: waeup/aaue/students/utils.py:87
-#: waeup/aaue/students/utils.py:132
+#: waeup/aaue/students/utils.py:85
 msgid "Study course data are incomplete."
 msgstr ""